org.apache.olingo.odata2.api.edm.provider

## Class EntityContainerInfo

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.EntityContainerInfo

- Direct Known Subclasses:
    EntityContainer

      public class EntityContainerInfo
      extends Object

  Objects of this class represent an entity container

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityContainerInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationAttribute>` | `getAnnotationAttributes()`
    `List<AnnotationElement>` | `getAnnotationElements()`
    `String` | `getExtendz()`
    `String` | `getName()`
    `boolean` | `isDefaultEntityContainer()`
    `EntityContainerInfo` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the collection of `AnnotationAttribute` for this `EntityContainer`
    `EntityContainerInfo` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the collection of `AnnotationElement` for this `EntityContainer`
    `EntityContainerInfo` | `setDefaultEntityContainer(boolean isDefaultEntityContainer)` Sets if this is the default `EntityContainerInfo`
    `EntityContainerInfo` | `setExtendz(String extendz)` Sets the entity container which is the parent of this `EntityContainerInfo`
    `EntityContainerInfo` | `setName(String name)` Sets the name of this `EntityContainerInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityContainerInfo

          public EntityContainerInfo()

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        String name

    - #### getExtendz

          public String getExtendz()

      Returns:
        String name of the container which is extended by this container

    - #### isDefaultEntityContainer

          public boolean isDefaultEntityContainer()

      Returns:
        boolean if this container is the default container

    - #### setName

          public EntityContainerInfo setName(String name)

      Sets the name of this `EntityContainerInfo`
      Parameters:
        `name` -
      Returns:
        `EntityContainerInfo` for method chaining

    - #### setExtendz

          public EntityContainerInfo setExtendz(String extendz)

      Sets the entity container which is the parent of this `EntityContainerInfo`
      Parameters:
        `extendz` -
      Returns:
        `EntityContainerInfo` for method chaining

    - #### setDefaultEntityContainer

          public EntityContainerInfo setDefaultEntityContainer(boolean isDefaultEntityContainer)

      Sets if this is the default `EntityContainerInfo`
      Parameters:
        `isDefaultEntityContainer` -
      Returns:
        `EntityContainerInfo` for method chaining

    - #### getAnnotationAttributes

          public List<AnnotationAttribute> getAnnotationAttributes()

      Returns:
        collection of `AnnotationAttribute` annotation attributes

    - #### setAnnotationAttributes

          public EntityContainerInfo setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the collection of `AnnotationAttribute` for this `EntityContainer`
      Parameters:
        `annotationAttributes` -
      Returns:
        `EntityContainer` for method chaining

    - #### getAnnotationElements

          public List<AnnotationElement> getAnnotationElements()

      Returns:
        collection of `AnnotationElement` annotation elements

    - #### setAnnotationElements

          public EntityContainerInfo setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the collection of `AnnotationElement` for this `EntityContainer`
      Parameters:
        `annotationElements` -
      Returns:
        `EntityContainer` for method chaining

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.